Api referenceArchitecture

List Gate Policies

Reference for List Gate Policies in the Veriom v1 API, including request, response, and authentication details.

GET/v1/workspaces/{workspace_id}/architecture-intent/gates/policies

List Gate Policies. Returns a typed response and a request ID for operational support.

Authorization

veriom_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

scope_key?|null
cursor?string|null
limit?Limit
Default25
Range1 <= value <= 100

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/gates/policies"
{
  "has_more": false,
  "items": [
    {
      "asset_classes": {
        "property1": "crown_jewel",
        "property2": "crown_jewel"
      },
      "content_sha256": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "created_by_name": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "metrics": {
        "false_negatives": 0,
        "false_positives": 0,
        "observed_precision": 0,
        "passing_samples": 0,
        "promotion_blockers": [
          "string"
        ],
        "reviewed_samples": 0,
        "true_positives": 0,
        "unknown_samples": 0
      },
      "published_number": 0,
      "revision": 0,
      "rules": [
        {
          "decision_id": "string",
          "key": "string",
          "rule": {
            "id": "string",
            "predicates": [
              {
                "allowed_source_keys": [
                  "string"
                ],
                "attribute": "string",
                "expected": "string",
                "key": "string",
                "kind": "entity_present",
                "relationship_kinds": [
                  "string"
                ],
                "required_sources": [
                  "code"
                ]
              }
            ],
            "title": "string"
          },
          "source": "invariant"
        }
      ],
      "scope_key": "string",
      "state": "shadow",
      "target_precision": 0,
      "target_title": "string",
      "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}

Was this guide useful?

Your response stays in this browser unless you open a GitHub issue.
View source